<template>
  <a-layout class="main-layout">
    <NavBar/>
    <a-layout :style="{ height: '100vh' }">
      <SideBar/>
      <a-layout class="content">
        <a-breadcrumb :style="{ margin: '16px 0' }">
          <a-breadcrumb-item><a href="/">Home</a></a-breadcrumb-item>
          <a-breadcrumb-item v-if="secondLevelBreadcrumb"><a :href="secondLevelBreadcrumb.route">{{
            secondLevelBreadcrumb.title }}</a></a-breadcrumb-item>
          <a-breadcrumb-item v-if="thirdLevelBreadCrumb"><a :href="thirdLevelBreadCrumb.route">{{
            thirdLevelBreadCrumb.title }}</a></a-breadcrumb-item>
        </a-breadcrumb>
        <a-layout-content :style="{ background: '#fff', padding: '24px', minHeight: 'auto', flex: 'initial', marginBottom: '30px' }">
          <Nuxt/>
        </a-layout-content>
      </a-layout>
    </a-layout>
  </a-layout>
</template>
<script lang="ts">
import Vue from 'vue'
import NavBar from '~/components/NavBar.vue'
import SideBar from '~/components/SideBar.vue'
import { Category } from '~/types/types'
import categoriesQuery from '~/apollo/queries/categories/categories.graphql'

export default Vue.extend({
  name: 'sidebar',
  components: {
    NavBar,
    SideBar
  },
  computed: {
    secondLevelBreadcrumb () {
      if (this.$route.name && this.$route.name.includes('products')) {
        return {
          route: '/products',
          title: 'Produkte'
        }
      }
      if (this.$route.path === '/cart') {
        return {
          route: '/cart',
          title: 'Einkaufswagen'
        }
      }
      if (this.$route.path === '/order') {
        return {
          route: '/order',
          title: 'Bestellen'
        }
      }
      return undefined
    },
    thirdLevelBreadCrumb () {
      return undefined
    },
    displayedCategories (): Array<Category> {
      return this.categories.filter((current) => !current.inMenu)
    }
  },
  data () {
    return {
      categories: [] as Array<Category>
    }
  },
  apollo: {
    categories: {
      prefetch: true,
      query: categoriesQuery
    }
  }
})
</script>
<style lang="scss" scoped>
.main-layout {
  min-height: 100vh;
}

.main-layout .logo {
  width: auto;
  height: 30px;
  margin: 16px 24px 16px 0;
  float: left;
}

.content {
  padding: 0 3em;
  margin-top: 64px;
}
.sider {
  margin-top: 64px;
  position: sticky;
}
</style>
